Subject: RE: bug#29321: Isearch hit count

From: Drew Adams <[email-masked]>
Date: Mon, 29 Oct 2018 20:19:39 -0700 (PDT)

OK, tried it.  Yes, I apparently mispatched last time.
This version is more like the first version (and the
code looks more like what I had before, for *-new-loop*).

I still do see the problem (did I mention this one?)
that if I reverse direction so that the prompt changes
to, say, Overwrapped..., there is no count shown.  But
later sometimes it comes back.

Does this make sense?  Why would the prompt sometimes
disappear?  That must mean that, for some reason,
`isearch-lazy-count-current' is nil, right?

Do you see this?  It might help to repeat-search
quickly; dunno.  I'm still searching just with the
regexp "se\(.*\)r", FWIW.

But what's weird is that other times when I do (what
I think is) the exact same thing I see no problem -
no loss of count from the prompt when switching
direction.

In any case, if I quit search and restart it the
count is always displayed again in the prompt.

Maybe play with it a bit to see if you don't see
what I mentioned sometimes?

I think I can make it happen by repeating slowly
just after switching direction (either direction).

I have a feeling it's related to the fact that when
you first switch direction the count is missing
from the prompt, just as it is missing when you
first type `C-M-s' or `C-M-r', to start Isearch.

I'm guessing that sometimes that initial state
remains, for some reason - as if it were the first
time, just starting Isearch.  Does this ring a bell
at all?  Is there some way it might think that it's
just starting out and so does not show the count?

HTH - Drew